Bug 130814 - PostgreSQL can lose committed transactions
PostgreSQL can lose committed transactions
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rh-postgresql (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
Depends On:
  Show dependency treegraph
Reported: 2004-08-24 17:53 EDT by Tom Lane
Modified: 2013-07-02 23:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-20 12:54:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Lane 2004-08-24 17:53:39 EDT
Description of problem: Transactions committed just before the last
checkpoint before a database crash may be lost, in whole or in part,
after recovery.

Version-Release number of selected component (if applicable): All PG
versions 7.1-7.4

How reproducible: Difficult to reproduce due to narrow window of
vulnerability, but a fairly reproducible test case is described at

Steps to Reproduce:
1.  See link
Actual results: Lost data

Expected results: No lost data

Additional info: This is repaired in the most recent upstream
releases.  For RHEL3, we are using the 7.3 series of PG releases, so
we should update to PG 7.3.7 to fix this.
Comment 1 Tom Lane 2004-09-22 18:59:47 EDT
rh-postgresql-7.3.7-1 has been built for RHEL3 U4.
Comment 2 John Flanagan 2004-12-20 12:54:13 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.